Subject: Re: [feature request] gitweb: tags in history

From: Jakub Narebski <[email-masked]>
Date: Sat, 21 Aug 2010 19:21:21 +0200

Lars Hjemli wrote:
> On Sat, Aug 21, 2010 at 11:15, Jean Delvare <[email-masked]> wrote:
>> On Sat, 21 Aug 2010 01:22:05 -0700 (PDT), Jakub Narebski wrote:
>>> Jean Delvare <[email-masked]> writes:
>>>
>>>> I have a feature request for gitweb. In the history view, I would like
>>>> to be (optionally) able to see the tags, interlaced with the actual
>>>> commits. The idea is to get an immediate view of all commits that
>>>> happened between specific tags.
>>>>
> ....
>>
>> But shortlog is a repository-wide view, while I need the same for
>> history which is a file-specific view.
> 
> <shameless plug>
> With cgit, you can answer such questions by combining path limiting
> and range queries, e.g.
> http://hjemli.net/git/cgit/log/scan-tree.c?qt=range&q=v0.8.2..v0.8.3
> shows all commits affecting scan-tree.c between v0.8.2 and v0.8.3.
> Maybe gitweb could implement something similar?
> </shameless plug>

Gitweb also supports range limiting in log-like views from some time,
but currently there is no UI for that, and you have to handcraft the URL,
e.g.:

  http://gitweb.example.com/repo.git?a=history;f=foo.c;hpb=v0.8.2;hb=v0.8.3

or (in the path_info form)

    http://gitweb.example.com/repo.git/history/v0.8.2..v0.8.3:/foo.c

-- 
Jakub Narebski
Poland